/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.test.performance.parser;

public class ReportDesignNode
{

	String id;
	String name = null;
	String docType = null;
	int pageN = 0;
	int repeat = 0;

	public String toString( )
	{
		StringBuffer sb = new StringBuffer( );
		sb.append( "name: " + name );
		sb.append( ", id: " + id );
		sb.append( ", docType: " + docType );
		sb.append( ", pageN: " + pageN );
		sb.append( ", repeat: " + repeat );
		sb.append( '\n' );
		return sb.toString( );
	}

	public String getId( )
	{
		return id;
	}

	public void setId( String id )
	{
		this.id = id;
	}

	public String getName( )
	{
		return name;
	}

	public void setName( String name )
	{
		this.name = name;
	}
	
	public String getDocType( )
	{
		return docType;
	}
	
	public void setDocType( String docType )
	{
		this.docType = docType;
	}

	public int getPageN( )
	{
		return pageN;
	}

	public void setPageN( int pageN )
	{
		this.pageN = pageN;
	}

	public int getRepeat( )
	{
		return repeat;
	}

	public void setRepeat( int repeat )
	{
		this.repeat = repeat;
	}
}